org.apache.hadoop.yarn.nodelabels.store

## Interface StoreOp<W,R,M>

- Type Parameters:
    `W` - write to be done to
    `R` - read to be done from
    `M` - manager used
  All Known Implementing Classes:
    AddClusterLabelOp, AddNodeToAttributeLogOp, FSNodeStoreLogOp, NodeAttributeMirrorOp, NodeLabelMirrorOp, NodeToLabelOp, RemoveClusterLabelOp, RemoveNodeToAttributeLogOp, ReplaceNodeToAttributeLogOp

      public interface StoreOp<W,R,M>

  Define the interface for store activity. Used by for FileSystem based operation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `recover(R read, M mgr)` Read and populate StoreOp.
    `void` | `write(W write, M mgr)` Write operation to persistent storage.

- - ### Method Detail

    - #### write

          void write(W write,
                     M mgr)
              throws IOException

      Write operation to persistent storage.
      Parameters:
        `write` - write to be done to
        `mgr` - manager used by store
      Throws:
        `IOException`

    - #### recover

          void recover(R read,
                       M mgr)
                throws IOException

      Read and populate StoreOp.
      Parameters:
        `read` - read to be done from
        `mgr` - manager used by store
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.